.nav {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 999;
    color: white;
    background: var(--dark);
    position: fixed;
    overflow-y: auto;
    opacity: 0;
    visibility: hidden;
    transition: var(--transition-time);

    &__wrap {
        display: flex;
        flex-direction: column;
    }

    &__body {
        flex-grow: 1;
        display: flex;
        align-items: center;
    }

    &__footer {
        font-size: rem(18);
        line-height: 110%;
        padding: rem(30) 0;
    }

    &__dev {
        color: var(--gray);
        text-decoration: none;
        transition: var(--transition-time);

        &:hover {
            color: white;
            text-decoration: none;
            transition: var(--transition-time);
        }
    }

    &__menu {
        margin: 0;
        list-style: none;
        padding: rem(20) 0;
        display: flex;
        flex-direction: column;
        row-gap: rem(26);
        font-size: rem(30);
        list-style: rem(33);

        a {
            color: var(--gray);
            text-decoration: none;
            transition: var(--transition-time);
            display: flex;
            align-items: center;
            column-gap: rem(10);

            i {
                display: block;
                flex-shrink: 0;
                width: rem(32);
                height: rem(20);
            }

            &:hover {
                color: white;
                text-decoration: none;
                transition: var(--transition-time);
            }
        }
    }

    @include media-breakpoint-up(lg) {
        display: none !important;
    }
}


.nav-open {


    .nav {
        opacity: 1;
        visibility: visible;
        transition: var(--transition-time);
    }
}
